Upload schema file
post
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/v1/schema
Uploads a schema file using the supplied request payload so it can be managed as catalog content.
Request
There are no request parameters for this operation.
Supported Media Types
- multipart/form-data
Root Schema : schema
Type:
Show Source
object-
path(required): string
The path of the file to upload.
-
primaryFile(required): string
The file to upload.
Response
Supported Media Types
- application/json
201 Response
Your request is successful and a new resource has been created.
Root Schema : UploadSchemaOracle
Type:
objectTitle:
UploadSchemaOracleThe upload schema resource.
Show Source
-
path: string
The path of the file to upload and Download.
-
primaryFile: object
primaryFile
The file to upload and Download.
Nested Schema : primaryFile
Type:
objectThe file to upload and Download.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
401 Response
Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
The resource with the specified URI couldn't be found.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
405 Response
HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to create a schema file by submitting a POST request on the REST resource using cURL.
cURL Command
curl -u username:password -X POST https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/v1/schema'
\ --header 'Content-Type: application/json' \ -H 'Content-Type: application/json' -D @create_schema.json | json_pp'
Example of Response Body
The
following example shows the contents of the response body in JSON
format.
201 Created